Using the Veracode Eclipse Plugin

IDEs

The Veracode Eclipse Plugin enables you to upload binaries to Veracode for static security analysis and work with the scan results from within the Eclipse IDE to provide easy and quick information about potential security flaws in your applications.

Prerequisites

For the Eclipse plugin to work in your environment, you must have the following installed:
  • JRE 1.7 or 1.8
  • Eclipse 3.7 (Indigo) and later.

The plugin is also supported on the Eclipse-derived IDE Rational Application Developer, Version 9.6.

If you are using IBM RAD 9.6, you must store your credentials locally before you use the plugin.

To store your credentials:
  1. Go to Preferences > Veracode > Credentials.
  2. Click Add Credentials.
  3. From the Type dropdown menu, select User/Pswd.
  4. In the Identifier column, enter the username and password.
  5. Click Apply and OK.